ruby-escape-utils_1.2.1-1+b1_amd64.deb


Advertisement

Description

ruby-escape-utils - Faster string escaping routines for your web apps

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-escape-utils
Package version 1.2.1
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 89 B
Download size 20.51 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-escape-utils_1.2.1-1+b1_i386.deb 1.2.1 i386 Debian Main
ruby-escape-utils - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libruby2.5 >= 2.5.0~preview1
ruby << 1:2.6~
ruby >= 1:2.5~0

Download

Type URL
Binary Package ruby-escape-utils_1.2.1-1+b1_amd64.deb
Source Package ruby-escape-utils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-escape-utils deb package:
    # sudo apt-get install ruby-escape-utils

Files

Path
/usr/lib/ruby/vendor_ruby/escape_utils.rb
/usr/lib/ruby/vendor_ruby/escape_utils/html_safety.rb
/usr/lib/ruby/vendor_ruby/escape_utils/version.rb
/usr/lib/ruby/vendor_ruby/escape_utils/html/cgi.rb
/usr/lib/ruby/vendor_ruby/escape_utils/html/erb.rb
/usr/lib/ruby/vendor_ruby/escape_utils/html/haml.rb
/usr/lib/ruby/vendor_ruby/escape_utils/html/rack.rb
/usr/lib/ruby/vendor_ruby/escape_utils/javascript/action_view.rb
/usr/lib/ruby/vendor_ruby/escape_utils/url/cgi.rb
/usr/lib/ruby/vendor_ruby/escape_utils/url/erb.rb
/usr/lib/ruby/vendor_ruby/escape_utils/url/rack.rb
/usr/lib/ruby/vendor_ruby/escape_utils/url/uri.rb
/usr/lib/ruby/vendor_ruby/escape_utils/xml/builder.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/escape_utils/escape_utils.so
/usr/share/doc/ruby-escape-utils/README.md.gz
/usr/share/doc/ruby-escape-utils/changelog.Debian.amd64.gz
/usr/share/doc/ruby-escape-utils/changelog.Debian.gz
/usr/share/doc/ruby-escape-utils/copyright
/usr/share/rubygems-integration/2.5.0/specifications/escape_utils-1.2.1.gemspec

Changelog

2018-02-21 - Pirate Praveen <praveen@debian.org>
ruby-escape-utils (1.2.1-1) unstable; urgency=medium
* Team upload
[ Cédric Boutillier ]
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
[ Pirate Praveen ]
* New upstream version 1.2.1
* Fix tests for ruby 2.5 (Patch from alpinelinux) (Closes: #888149)
* Bump standards version to 4.1.3
* Bump debhelper compatibility level to 11
2015-11-27 - Pirate Praveen <praveen@debian.org>
ruby-escape-utils (1.1.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Bumpstandards version to 3.9.6 (no changes).
2014-05-15 - Cédric Boutillier <boutil@debian.org>
ruby-escape-utils (1.0.1-3) unstable; urgency=medium
* Team upload.
* Drop build-dependency on ruby-rack (Closes: #746379)
* Suggest and enhance ruby-haml, ruby-rack and ruby-actionpack
2014-04-22 - Cédric Boutillier <boutil@debian.org>
ruby-escape-utils (1.0.1-2) unstable; urgency=medium
* Team upload.
* Build-depend on ruby-minitest (>= 5.0~), as indicated in the gemspec file.
(Closes: #744081)
* Add DEP-3 header to debian/patches/remove-bundler.patch.
2014-04-10 - Pirate Praveen <praveen@debian.org>
ruby-escape-utils (1.0.1-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Update copyright.
* Remove ruby 1.9.
* Remove dh_install override.
2012-06-29 - Tollef Fog Heen <tfheen@debian.org>
ruby-escape-utils (0.2.4-3) unstable; urgency=low
* Install escape_utils.so to $vendordir/escape_utils, since that's where
packages seem to expect to find it.
2012-06-29 - Tollef Fog Heen <tfheen@debian.org>
ruby-escape-utils (0.2.4-2) unstable; urgency=low
* Fix uploaders to include full name
* Drop DM-Upload-Allowed, no DMs in Uploaders anyway.
* Fix description.
* Enable tests.
2012-06-27 - Tollef Fog Heen <tfheen@debian.org>
ruby-escape-utils (0.2.4-1) unstable; urgency=low
* Initial release

See Also

Package Description
ruby-escape_0.2-5_all.deb HTML/URI/shell escaping utilities for Ruby
ruby-et-orbi_1.0.5-1_all.deb Time zones for fugit and rufus-scheduler
ruby-ethon_0.9.0-2_all.deb libcurl wrapper using ffi
ruby-eventmachine_1.0.7-4+b2_amd64.deb Ruby/EventMachine library
ruby-exception-notification_4.0.1-1_all.deb exception notification support for Rails and Rack apps
ruby-excon_0.60.0-1_all.deb Ruby library for creating fast, persistent, HTTP(S) connections
ruby-execjs_2.6.0-1_all.deb Run JavaScript code from Ruby
ruby-exif_0.1.2-21+b9_amd64.deb Ruby library for EXIF tag parsing
ruby-expression-parser-doc_0.9.1-4_all.deb mathematical expression parser for Ruby (documentation)
ruby-expression-parser_0.9.1-4_all.deb mathematical expression parser for Ruby
ruby-extendmatrix_0.3.1-3_all.deb Enhancements to the Ruby Matrix module
ruby-extlib_0.9.16-1_all.deb general Ruby class extensions for DataMapper and Merb
ruby-eye_0.7-5_all.deb process monitoring tool
ruby-facade_1.0.7-1_all.deb facade pattern aide for Ruby
ruby-facebox-rails_0.2.0-2_all.deb use Facebox with Rails applications
Advertisement
Advertisement